*$ CREATE USREIN.FOR
*COPY USREIN
*
*=== Usrein ===========================================================*
*
      SUBROUTINE USREIN

      INCLUDE '(DBLPRC)'
      INCLUDE '(DIMPAR)'
      INCLUDE '(IOUNIT)'
      INCLUDE '(FLKSTK)'
      INCLUDE '(FHEAVY)'
      INCLUDE '(PAPROP)'
     
*
*----------------------------------------------------------------------*
*                                                                      *
*     Copyright (C) 1991-2005      by    Alfredo Ferrari & Paola Sala  *
*     All Rights Reserved.                                             *
*                                                                      *
*                                                                      *
*     USeR Event INitialization: this routine is called before the     *
*     showering of an event is started, but after the source particles *
*     of that event have been already loaded on the stack              *
*                                                                      *
*     Created on 01 january 1991   by    Alfredo Ferrari & Paola Sala  *
*                                                   Infn - Milan       *
*                                                                      *
*     Last change on 09-apr-99     by    Alfredo Ferrari               *
*                                                                      *
*                                                                      *
*----------------------------------------------------------------------*
*     
      INTEGER:: ii
      
      OPEN(UNIT = 22, FILE = 'usrin_all.out', STATUS = 'NEW')
      WRITE(22, '(I10)') NPFLKA
      DO ii = 1, NPFLKA
      WRITE(22,  1012) Iloflk(ii), Pmoflk(ii), Txflk(ii), Tyflk(ii),
     &        Tzflk(ii), Tkeflk(ii)
      ENDDO
1012       FORMAT(I11, F14.5, 4F14.5)

      RETURN
*===  End of subroutine Usrein =========================================*
      END
      
